%define upstream_name    Dist-Zilla-PluginBundle-GENEHACK
%define upstream_version 0.9

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    BeLike::GENEHACK when you zilla your dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Push)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Run)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.900.0-3.mga10
+ Revision: 2206086
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.900.0-2.mga9
+ Revision: 1812588
- Mageia 9 Mass Rebuild

* Sun Apr 19 2020 tv <tv> 0.900.0-1.mga8
+ Revision: 1569783
- update to 0.9

* Wed Feb 12 2020 umeabot <umeabot> 0.700.0-5.mga8
+ Revision: 1494174
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.700.0-4.mga7
+ Revision: 1267427
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.700.0-3.mga6
+ Revision: 1025976
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.700.0-2.mga6
+ Revision: 967642
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.700.0-1.mga6
+ Revision: 849969
- update to 0.700

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-4.mga5
+ Revision: 746733
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.600.0-2.mga4
+ Revision: 526978
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.600.0-1.mga4
+ Revision: 439222
- update to 0.6

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 366644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 16 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 72412
- imported package perl-Dist-Zilla-PluginBundle-GENEHACK


* Wed Mar 16 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
